Skip to main content
GET
/
insights
Query Saved Report
curl --request GET \
  --url https://{regionAndDomain}.com/api/query/insights \
  --header 'Authorization: Basic <encoded-value>'
{
  "computed_at": "2020-09-21T16:35:41.252314+00:00",
  "date_range": {
    "from_date": "2020-08-31T00:00:00-07:00",
    "to_date": "2020-09-12T23:59:59.999000-07:00"
  },
  "headers": [
    "$event"
  ],
  "series": {
    "Logged in": {
      "2020-08-31T00:00:00-07:00": 9852,
      "2020-09-07T00:00:00-07:00": 4325
    },
    "Viewed page": {
      "2020-08-31T00:00:00-07:00": 10246,
      "2020-09-07T00:00:00-07:00": 11432
    }
  }
}

Authorizations

Authorization
string
header
required

Service Account

Query Parameters

project_id
integer
required

Required if using service account to authenticate request.

workspace_id
integer

The id of the workspace if applicable.

bookmark_id
integer
required

The ID of your Insights report can be found from the url: https://mixpanel.com/project/<YOUR_PROJECT_ID>/view/<YOUR_WORKSPACE_ID>/app/boards#id=12345&editor-card-id=%22report-<YOUR_BOOKMARK_ID>%22

Response

200 - application/json

Success

computed_at
string
date_range
object
headers
string[]

Explanation of what the nested keys mean in series.

series
object

Maps event name of event to an object with dates as keys and number of instances as values. For example:

{
'Viewed page': {
'2020-08-17T00:00:00-07:00': 7832,
'2020-08-24T00:00:00-07:00': 6234,
}
}